OpenVDB: LeafData< ValueIndex, CoordT, MaskT, LOG2DIM > Struct Template Reference

OpenVDB 10.0.1

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
LeafData< ValueIndex, CoordT, MaskT, LOG2DIM > Struct Template Reference

`#include <nanovdb/NanoVDB.h>`

## Public Types
using | ValueType = uint64_t
using | BuildType = ValueIndex
using | FloatType = uint64_t
using | ArrayType = void

## Public Member Functions
uint64_t | getMin () const
uint64_t | getMax () const
uint64_t | getAvg () const
uint64_t | getDev () const
void | setValue (uint32_t offset, uint64_t)
uint64_t | getValue (uint32_t i) const
template<typename T >
void | setMin (const T &min, T *p)
template<typename T >
void | setMax (const T &max, T *p)
template<typename T >
void | setAvg (const T &avg, T *p)
template<typename T >
void | setDev (const T &dev, T *p)
template<typename T >
void | setOrigin (const T &ijk)
| LeafData ()=delete
| This class cannot be constructed or deleted. More...
| LeafData (const LeafData &)=delete
LeafData & | operator= (const LeafData &)=delete
| ~LeafData ()=delete

## Static Public Member Functions
static constexpr uint32_t | padding ()
static uint64_t | memUsage ()

## Public Attributes
CoordT | mBBoxMin
uint8_t | mBBoxDif [3]
uint8_t | mFlags
MaskT< LOG2DIM > | mValueMask
uint64_t | mStatsOff
uint64_t | mValueOff

## Static Public Attributes
static constexpr bool | FIXED_SIZE = true

## Member Typedef Documentation

## ◆ ArrayType

using ArrayType = void

## ◆ BuildType

using BuildType = ValueIndex

## ◆ FloatType

using FloatType = uint64_t

## ◆ ValueType

using ValueType = uint64_t

## Constructor & Destructor Documentation

## ◆ LeafData() [1/2]

LeafData | ( |  | ) |
| delete

This class cannot be constructed or deleted.

## ◆ LeafData() [2/2]

LeafData | ( | const LeafData< ValueIndex, CoordT, MaskT, LOG2DIM > & |  | ) |
| delete

## ◆ ~LeafData()

~LeafData | ( |  | ) |
| delete

## Member Function Documentation

## ◆ getAvg()

uint64_t getAvg | ( |  | ) | const
| inline

## ◆ getDev()

uint64_t getDev | ( |  | ) | const
| inline

## ◆ getMax()

uint64_t getMax | ( |  | ) | const
| inline

## ◆ getMin()

uint64_t getMin | ( |  | ) | const
| inline

## ◆ getValue()

uint64_t getValue | ( | uint32_t | i | ) | const
| inline

## ◆ memUsage()

static uint64_t memUsage | ( |  | ) |
| inlinestatic

## ◆ operator=()

LeafData & operator= | ( | const LeafData< ValueIndex, CoordT, MaskT, LOG2DIM > & |  | ) |
| delete

## ◆ padding()

static constexpr uint32_t padding | ( |  | ) |
| inlinestaticconstexpr

## ◆ setAvg()

void setAvg | ( | const T & | avg,
|  | T * | p
| ) |  |
| inline

## ◆ setDev()

void setDev | ( | const T & | dev,
|  | T * | p
| ) |  |
| inline

## ◆ setMax()

void setMax | ( | const T & | max,
|  | T * | p
| ) |  |
| inline

## ◆ setMin()

void setMin | ( | const T & | min,
|  | T * | p
| ) |  |
| inline

## ◆ setOrigin()

void setOrigin | ( | const T & | ijk | ) |
| inline

## ◆ setValue()

void setValue | ( | uint32_t | offset,
|  | uint64_t |
| ) |  |
| inline

## Member Data Documentation

## ◆ FIXED_SIZE

constexpr bool FIXED_SIZE = true
| staticconstexpr

## ◆ mBBoxDif

uint8_t mBBoxDif[3]

## ◆ mBBoxMin

CoordT mBBoxMin

## ◆ mFlags

uint8_t mFlags

## ◆ mStatsOff

uint64_t mStatsOff

## ◆ mValueMask

MaskT<LOG2DIM> mValueMask

## ◆ mValueOff

uint64_t mValueOff